use headless_chrome::protocol::cdp::Page;
use headless_chrome::Browser;
use invite::DiscordInvite;
use std::time::Duration;

pub mod invite;

fn main() -> anyhow::Result<()> {
    let mut browser = Browser::default()?;

    let mut invite = DiscordInvite::from("incestcentral");
    let result = invite.resolve(&mut browser);
    match result {
        Ok(_) => println!("Invite is valid!"),
        Err(e) => println!("Invite is invalid: {:?}", e),
    }

    Ok(())
}
